<?php

/**
 * MooseTheme.
 *
 * Please do not make any edits to this file. All edits should be done in a child theme.
 *
 * @package Moose
 */

if ( !defined( 'ABSPATH' ) ) {
    exit;
    // Exit if accessed directly.
}

// Set our theme version.
define( 'WP_MOOSE_VERSION', '1.0.5' );
define( 'WP_MOOSE_VENDOR_VERSION', '1.0.5' );
// Used to check whether WooCommerce plugin is activated
define( 'WP_MOOSE_WOOCOMMERCE_ACTIVE', class_exists( 'WooCommerce' ) );
// Used to check whether Elementor plugin is activated
define( 'WP_MOOSE_ELEMENTOR_ACTIVE', defined( 'ELEMENTOR_VERSION' ) );

if ( !function_exists( 'wp_moose_fs' ) ) {
    // Create a helper function for easy SDK access.
    function wp_moose_fs()
    {
        global  $wp_moose_fs ;
        
        if ( !isset( $wp_moose_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $wp_moose_fs = fs_dynamic_init( array(
                'id'              => '9762',
                'slug'            => 'wp-moose',
                'type'            => 'theme',
                'public_key'      => 'pk_4831042f75f6b2946c09a321df49f',
                'is_premium'      => false,
                'premium_suffix'  => 'Pro',
                'has_addons'      => false,
                'has_paid_plans'  => true,
                'has_affiliation' => 'selected',
                'menu'            => array(
                'slug'   => 'wp-moose-theme',
                'parent' => array(
                'slug' => 'themes.php',
            ),
            ),
                'is_live'         => true,
            ) );
        }
        
        return $wp_moose_fs;
    }
    
    // Init Freemius.
    wp_moose_fs();
    // Signal that SDK was initiated.
    do_action( 'wp_moose_fs_loaded' );
}

// Helpers
require get_template_directory() . '/inc/universal/helpers.php';
// Options
require get_parent_theme_file_path( 'inc/universal/options.php' );
// Extras
require get_template_directory() . '/inc/extras.php';
// Dynamic css
require get_template_directory() . '/inc/dynamic-css.php';
// Register metabox
require get_template_directory() . '/inc/metabox.php';
// Theme Setup
require get_template_directory() . '/inc/theme-setup.php';
// WooCommerce setup
if ( WP_MOOSE_WOOCOMMERCE_ACTIVE ) {
    require get_template_directory() . '/inc/woocommerce-setup.php';
}
// Theme customizer
require get_template_directory() . '/inc/customizer/setup.php';
// Theme Hooks
require get_template_directory() . '/inc/theme-hooks.php';
// Theme Filters
require get_template_directory() . '/inc/theme-filters.php';
// Tags
require get_template_directory() . '/inc/template-tags.php';
// Template functions
require get_template_directory() . '/inc/template-functions.php';
// Shapes
require get_template_directory() . '/inc/shapes.php';
// Theme Plugins
require get_template_directory() . '/inc/theme-plugins.php';
// Admin Page
require get_template_directory() . '/inc/admin-page.php';