<?php
/**
 * Customizer Control: wp-moose-divider
 *
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( class_exists( 'Moose_Customize_Control' ) && ! class_exists( 'Moose_Divider_Customize_Control' ) ) {
	/**
	 * Divider control
	 */
	class Moose_Divider_Customize_Control extends Moose_Customize_Control {
		/**
		 * Set the control type.
		 *
		 * @var string $type
		 */
		public $type = 'wp-moose-divider';

		/**
		 * Render the control's content.
		 *
		 * Allows the content to be overridden without having to rewrite the wrapper in `$this::render()`.
		 * Control content can alternately be rendered in JS. See WP_Customize_Control::print_template().
		 *
		 * @return void
		 * @since 1.0.0
		 */
		protected function render_content() {
			?>
            <div class="wp-moose-divider"></div>
			<?php
		}
	}
}
