<?php

if ( !function_exists( 'wp_moose_register_typography_options' ) ) {
    /**
     * Add typography section and controls.
     *
     * @param \WP_Customize_Manager $wp_customize
     */
    function wp_moose_register_typography_options( $wp_customize, $section_id, $priority = 100 )
    {
        $wp_customize->add_section( $section_id, array(
            'title'    => esc_html__( 'Typography', 'wp-moose' ),
            'panel'    => 'wp_moose_appearance_panel',
            'priority' => $priority,
        ) );
        if ( wp_moose_fs()->is_not_paying() ) {
            wp_moose_register_options( $wp_customize, array(
                'name'           => 'wp_moose_typography_upsell_tips',
                'section'        => $section_id,
                'settings'       => array(),
                'custom_control' => Moose_Info_Customize_Control::class,
                'control_args'   => array(
                'messages' => array(
                esc_html__( 'In our Pro version, you can set different fonts for body text, headings or navbar menu.', 'wp-moose' ),
                esc_html__( 'we offer 1000+ Google fonts for you to choose from.', 'wp-moose' ),
                sprintf( '<a href="%1$s" target="_blank">%2$s</a>', wp_moose_upsell_url(), __( 'Meet Moose Pro', 'wp-moose' ) ),
                sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://www.wpmoose.com/docs/moose-theme-docs/theme-customization/customize-typography/', __( 'View Video Demo', 'wp-moose' ) )
            ),
            ),
            ) );
        }
    }

}