<?php
/**
 * Template for displaying search forms in Villar
 *
 * @package Moose
 */

$uniqid     = uniqid( 'search-form-' );
$aria_label = ! empty( $args['aria_label'] ) ? 'aria-label="' . esc_attr( $args['aria_label'] ) . '"' : '';

// Backward compatibility, in case a child theme template uses a `label` argument.
if ( empty( $aria_label ) && ! empty( $args['label'] ) ) {
	$aria_label = 'aria-label="' . esc_attr( $args['label'] ) . '"';
}
?>
<form role="search" <?php echo esc_attr( $aria_label ); ?> method="get"
      action="<?php echo esc_url( home_url( '/' ) ); ?>">
    <label class="flex items-stretch flex-grow mb-0" for="<?php echo esc_attr( $uniqid ); ?>">
        <span class="screen-reader-text"><?php _e( 'Search for:', 'wp-moose' ); ?></span>
        <div class="relative">
            <input type="search" id="<?php echo esc_attr( $uniqid ); ?>"
                   placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'wp-moose' ); ?>"
                   value="<?php echo get_search_query(); ?>" name="s"/>
            <button type="submit" class="btn btn-primary rounded-l-none py-0 h-full absolute top-0 right-0">
                <i class="fas fa-search"></i>
            </button>
        </div>
    </label>
</form>
