<?php
/**
 * Template for admin notice.
 */

global $current_user;
$user_id = $current_user->ID;

if ( get_user_meta( $user_id, 'wp_moose_dismissed_welcome' ) ) {
	return;
}
$dismiss_url = add_query_arg( array( 'wp_moose_dismiss' => 'welcome', ), admin_url() );
?>

<div data-dismiss-url="<?php echo esc_url( $dismiss_url ) ?>"
     class="wp-moose-theme-notice notice notice-success is-dismissible">

    <div class="wp-moose-theme-notice-logo">
        <svg data-name="wp-moose-logo"
             class="wp-moose-theme-logo"
             viewBox="0 0 12 12"
             version="1.1"
             width="32px"
             height="32px"
             xmlns="http://www.w3.org/2000/svg"
             xmlns:svg="http://www.w3.org/2000/svg">
            <rect class="wp-moose-logo-rect"
                  height="12"
                  id="rect13"
                  width="12"/>
            <path class="wp-moose-logo-path"
                  d="M8.75,6.55c0,.06.3,1,.85,3.21.44,1.73.45,1.77.49,1.73s.27-1.09.57-2.39.58-2.42.61-2.49.18-.11,1.34-.1c.91,0,1.28,0,1.3.1s-.08.09-.26.1l-.29,0,0,3.25v3.25l.28,0c.2,0,.28,0,.28.12s-.21.1-1.5.1-1.5,0-1.5-.1.08-.11.26-.12l.24,0V10.41c0-1.56,0-2.93,0-3s0-.2,0-.16-.36,1.4-.74,3-.71,3-.74,3.12-.11.15-.63.15-.58,0-.63-.12-.43-1.49-.88-3.16S7,7.17,6.93,7.17s0,1.36,0,3l0,3,.25,0c.17,0,.25.05.25.12s-.12.1-.67.1-.67,0-.67-.1.09-.11.29-.12l.28,0V10l0-3.25-.28,0c-.22,0-.28,0-.24-.12s.26-.09,1.32-.09A8.8,8.8,0,0,1,8.75,6.55Z"
                  transform="translate(-4 -4)"
                  id="path15"/>
        </svg>
    </div>
    <div class="wp-moose-theme-welcome-message">
        <h1><?php esc_html_e( 'Welcome to Moose Theme', 'wp-moose' ); ?></h1>
        <p>
			<?php esc_html_e( "First time using our Moose theme?", 'wp-moose' ); ?>
            <br/>
			<?php esc_html_e( "We've provided some useful information to help you setup with this theme.", 'wp-moose' ) ?>
        </p>

        <div class="action-buttons">
            <a href="<?php echo esc_url( admin_url( 'themes.php?page=wp-moose-theme' ) ); ?>"
               class="wp-moose-btn">
				<?php esc_html_e( 'Get Started', 'wp-moose' ); ?>
            </a>

            <a href="#" class="wp-moose-btn wp-moose-btn-outline wp-moose-notice-dismiss">
				<?php esc_html_e( 'No, Thanks', 'wp-moose' ); ?>
            </a>
        </div>
    </div>
</div>
