<?php

$customizer_links = array(
	array(
		'label' => __( 'Set Your Logo', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-smiley',
		'type'  => 'control',
		'id'    => 'custom_logo',
	),
	array(
		'label' => __( 'Set Menus', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-menu-alt',
		'type'  => 'panel',
		'id'    => 'nav_menus',
	),
	array(
		'label' => __( 'Set Widgets', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-welcome-widgets-menus',
		'type'  => 'panel',
		'id'    => 'widgets',
	),
	array(
		'label' => __( 'Customize Header Menu Style', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-admin-appearance',
		'type'  => 'section',
		'id'    => 'wp_moose_header_section',
	),
	array(
		'label' => __( 'Homepage Settings', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-admin-home',
		'type'  => 'section',
		'id'    => 'static_front_page',
	),
	array(
		'label' => __( 'Customize Frontpage Header Menu Style', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-admin-appearance',
		'type'  => 'section',
		'id'    => 'wp_moose_frontpage_header_section',
	),
	array(
		'label' => __( 'Customize Frontpage Hero', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-superhero',
		'type'  => 'section',
		'id'    => 'wp_moose_hero_section',
	),
	array(
		'label' => __( 'Customize Colors', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-color-picker',
		'type'  => 'section',
		'id'    => 'colors',
	),
	array(
		'label' => __( 'Customize Typography', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-editor-textcolor',
		'type'  => 'section',
		'id'    => 'wp_moose_typography_section',
	),
	array(
		'label' => __( 'Customize Containers', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-layout',
		'type'  => 'section',
		'id'    => 'wp_moose_container_section',
	),
	array(
		'label' => __( 'Customize Sidebars', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-align-pull-right',
		'type'  => 'section',
		'id'    => 'wp_moose_sidebar_section',
	),
	array(
		'label' => __( 'Change Archive Layout & Content', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-grid-view',
		'type'  => 'control',
		'id'    => 'wp_moose_posts_layout_and_content',
	),
	array(
		'label' => __( 'Customize Archive Style', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-admin-appearance',
		'type'  => 'control',
		'id'    => 'wp_moose_button_style',
	),
	array(
		'label' => __( 'Customize Footer Style', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-align-left',
		'type'  => 'control',
		'id'    => 'wp_moose_footer_style',
	),
	array(
		'label' => __( 'Change Copyright', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-info',
		'type'  => 'control',
		'id'    => 'wp_moose_copyright_text',
	),
	array(
		'label' => __( 'Disable Preloader', 'wp-moose' ),
		'icon'  => 'dashicons dashicons-update',
		'type'  => 'control',
		'id'    => 'wp_moose_disable_preloader',
	),
);

?>
<div class="wrap wp-moose-theme-admin-page">
    <div class="wp-moose-theme-admin-hero">
        <svg data-name="wp-moose-logo"
             class="wp-moose-theme-logo"
             viewBox="0 0 12 12"
             version="1.1"
             width="32px"
             height="32px"
             xmlns="http://www.w3.org/2000/svg"
             xmlns:svg="http://www.w3.org/2000/svg">
            <rect class="wp-moose-logo-rect"
                  height="12"
                  id="rect13"
                  width="12"/>
            <path class="wp-moose-logo-path"
                  d="M8.75,6.55c0,.06.3,1,.85,3.21.44,1.73.45,1.77.49,1.73s.27-1.09.57-2.39.58-2.42.61-2.49.18-.11,1.34-.1c.91,0,1.28,0,1.3.1s-.08.09-.26.1l-.29,0,0,3.25v3.25l.28,0c.2,0,.28,0,.28.12s-.21.1-1.5.1-1.5,0-1.5-.1.08-.11.26-.12l.24,0V10.41c0-1.56,0-2.93,0-3s0-.2,0-.16-.36,1.4-.74,3-.71,3-.74,3.12-.11.15-.63.15-.58,0-.63-.12-.43-1.49-.88-3.16S7,7.17,6.93,7.17s0,1.36,0,3l0,3,.25,0c.17,0,.25.05.25.12s-.12.1-.67.1-.67,0-.67-.1.09-.11.29-.12l.28,0V10l0-3.25-.28,0c-.22,0-.28,0-.24-.12s.26-.09,1.32-.09A8.8,8.8,0,0,1,8.75,6.55Z"
                  transform="translate(-4 -4)"
                  id="path15"/>
        </svg>
        <h1 class="wp-moose-theme-admin-hero-title">
			<?php esc_html_e( 'Welcome to Moose Theme', 'wp-moose' ); ?>
        </h1>
    </div>

    <div class="wp-moose-theme-admin-single-section">
        <h2><?php esc_html_e( 'Do you know ?', 'wp-moose' ); ?></h2>

        <p>
			<?php
			printf(
				__( 'Our %s has been released!', 'wp-moose' ),
				'<a href="https://kit.wpmoose.com/" target="_blank"><strong>Moose Elementor kit</strong></a>'
			);
			?>
        </p>
        <p>
			<?php
			printf(
				__( 'Now you can build beautiful pages with the most advanced drag and drop %s with our %s!', 'wp-moose' ),
				'<a href="https://wordpress.org/plugins/elementor/" target="_blank">Elementor Page Builder</a>',
				'<a href="https://kit.wpmoose.com/" target="_blank"><strong>Moose Elementor kit</strong></a>'
			)
			?>
        </p>
        <p>
            <a href="https://kit.wpmoose.com/" target="_blank" class="button button-primary">
				<?php esc_html_e( 'Learn More', 'wp-moose' ); ?>
            </a>
        </p>
    </div>

    <div class="clearfix wp-moose-theme-admin-sections">
        <div class="wp-moose-theme-admin-section">
            <div class="wp-moose-theme-admin-section-content">
                <h3 class="wp-moose-theme-admin-section-title">
                    <span class="wp-moose-theme-admin-section-icon dashicons dashicons-admin-appearance"></span>
					<?php esc_html_e( 'Links to Customizer Settings', 'wp-moose' ); ?>
                </h3>
                <div class="wp-moose-customizer-options">
					<?php foreach ( $customizer_links as $link ): ?>
                        <div class="wp-moose-customizer-option">
                            <span class="wp-moose-customizer-option-icon <?php echo esc_attr( $link['icon'] ) ?>"></span>
                            <a class="wp-moose-customizer-option-label"
                               target="_blank"
                               href="<?php echo esc_url( wp_moose_customizer_url( $link['type'], $link['id'] ) ); ?>">
								<?php echo esc_html( $link['label'] ); ?>
                            </a>
                        </div>
					<?php endforeach; ?>
                </div>
            </div>
        </div>

        <div class="wp-moose-theme-admin-section">
            <div class="wp-moose-theme-admin-inner-section">
                <div class="wp-moose-theme-admin-section-content">
                    <h3 class="wp-moose-theme-admin-section-title">
                        <span class="wp-moose-theme-admin-section-icon dashicons dashicons-format-video"></span>
						<?php esc_html_e( 'Video Tutorial', 'wp-moose' ); ?>
                    </h3>
                    <h4>
						<?php esc_html_e( "Don't know where to start, let's start here", 'wp-moose' ); ?>
                    </h4>
                    <p>
						<?php esc_html_e( "We provide a set of step-by-step videos for a quick start. You can learn most of the features of this theme in minutes.", 'wp-moose' ); ?>
                    </p>

                    <a target="_blank" class="button button-primary"
                       href="https://www.wpmoose.com/docs/moose-theme-docs/">
						<?php esc_html_e( "Let's Go", 'wp-moose' ); ?>
                    </a>
                </div>
            </div>

            <div class="wp-moose-theme-admin-inner-section">
                <div class="wp-moose-theme-admin-section-content">
                    <h3 class="wp-moose-theme-admin-section-title">
                        <span class="wp-moose-theme-admin-section-icon dashicons dashicons-admin-comments"></span>
						<?php esc_html_e( 'Contact Us', 'wp-moose' ); ?>
                    </h3>
                    <h4>
						<?php esc_html_e( "Have questions? We're happy to help!", 'wp-moose' ); ?>
                    </h4>
                    <p>
						<?php esc_html_e( "We'll do our best to get back to you as soon as we can.", 'wp-moose' ); ?>
                    </p>

                    <a class="button button-primary"
                       href="<?php echo esc_url( network_admin_url( 'admin.php?page=wp-moose-theme-contact' ) ) ?>">
						<?php esc_html_e( 'Get Start', 'wp-moose' ); ?>
                    </a>
                </div>
            </div>

			<?php if ( wp_moose_fs()->is_not_paying() ): ?>
                <div class="wp-moose-theme-admin-inner-section">
                    <div class="wp-moose-theme-admin-section-content">
                        <h3 class="wp-moose-theme-admin-section-title">
                            <span class="wp-moose-theme-admin-section-icon dashicons dashicons-superhero-alt"></span>
							<?php esc_html_e( 'Upgrade Pro', 'wp-moose' ); ?>
                        </h3>

                        <p>
							<?php esc_html_e( 'Want more features? Why not take a look at our Pro version?', 'wp-moose' ); ?>
                        </p>

                        <a class="button button-primary" target="_blank"
                           href="https://www.wpmoose.com/themes/wp-moose-theme/?ref=admin-page">
							<?php esc_html_e( 'Learn More', 'wp-moose' ); ?>
                        </a>
                    </div>
                </div>
			<?php endif; ?>

            <div class="wp-moose-theme-admin-inner-section">
                <div class="wp-moose-theme-admin-section-content">
                    <h3 class="wp-moose-theme-admin-section-title">
                        <span class="wp-moose-theme-admin-section-icon dashicons dashicons-money-alt"></span>
						<?php esc_html_e( 'Affiliation', 'wp-moose' ); ?>
                    </h3>

                    <p>
						<?php esc_html_e( 'Like this theme? Become our ambassador and earn cash ;-)', 'wp-moose' ); ?>
                    </p>

                    <a class="button button-primary"
                       href="<?php echo esc_url( network_admin_url( 'admin.php?page=wp-moose-theme-affiliation' ) ) ?>">
						<?php esc_html_e( 'Learn More', 'wp-moose' ); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>

